uk.gov.hmrc

# slugbuilder

#### package slugbuilder

Visibility

1. Public
2. All

### Type Members

1. #### case class AppConfigBaseFileName(repositoryName: RepositoryName) extends Product with Serializable

2. #### case class ArtifactFileName(repositoryName: RepositoryName, releaseVersion: ReleaseVersion) extends Product with Serializable

3. #### class ProgressReporter extends AnyRef

4. #### case class ReleaseVersion extends Product with Serializable

5. #### case class RepositoryName extends Product with Serializable

6. #### class SlugBuilder extends AnyRef

7. #### case class SlugRuntimeJavaOpts(value: String) extends Product with Serializable

8. #### class StartDockerScriptCreator extends AnyRef

### Value Members

1. #### object ArgParser

2. #### object EnvironmentVariables

3. #### object Main

4. #### object ReleaseVersion extends Serializable

5. #### object RepositoryName extends Serializable

6. #### package connectors

7. #### package tools

### Ungrouped